package cn.com.poc.human_resources.entity;


import javax.persistence.Column;

public class BizHumanResourcePositionEntity {

    private static final long serialVersionUID = 1L;
	/** id
    *主键
    */ 
    private java.lang.Long id;

    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }

    /**
     * post_status
     * 发布状态
     * DRAFT-草稿
     * PUBLISHED - 已发布
     */
    private java.lang.String postStatus;

    public String getPostStatus() {
        return postStatus;
    }

    public void setPostStatus(String postStatus) {
        this.postStatus = postStatus;
    }
	/** job_title
    *职位名称
    */ 
    private java.lang.String jobTitle;

    public java.lang.String getJobTitle(){
        return this.jobTitle;
    }
    
    public void setJobTitle(java.lang.String jobTitle){
        this.jobTitle = jobTitle;
    }
	/** department
    *所属部门
    */ 
    private java.lang.String department;

    public java.lang.String getDepartment(){
        return this.department;
    }
    
    public void setDepartment(java.lang.String department){
        this.department = department;
    }
	/** work_location
    *工作地址
    */ 
    private java.lang.String workLocation;

    public java.lang.String getWorkLocation(){
        return this.workLocation;
    }
    
    public void setWorkLocation(java.lang.String workLocation){
        this.workLocation = workLocation;
    }
	/** job_nature
    *工作性质
    */ 
    private java.lang.String jobNature;

    public java.lang.String getJobNature(){
        return this.jobNature;
    }
    
    public void setJobNature(java.lang.String jobNature){
        this.jobNature = jobNature;
    }
	/** number_recruits
    *招聘人数
    */
    private java.lang.Integer numberOfRecruits;


    public java.lang.Integer getNumberOfRecruits(){
        return this.numberOfRecruits;
    }

    public void setNumberOfRecruits(java.lang.Integer numberOfRecruits){
        this.numberOfRecruits = numberOfRecruits;
    }
	/** work_experience
    *工作经验
    */ 
    private java.lang.String workExperience;

    public java.lang.String getWorkExperience(){
        return this.workExperience;
    }
    
    public void setWorkExperience(java.lang.String workExperience){
        this.workExperience = workExperience;
    }
	/** educational_re
    *学历要求
    */ 
    private java.lang.String educationalRe;

    public java.lang.String getEducationalRe(){
        return this.educationalRe;
    }
    
    public void setEducationalRe(java.lang.String educationalRe){
        this.educationalRe = educationalRe;
    }
	/** salary_range
    *薪资要求
    */ 
    private java.lang.String salaryRange;

    public java.lang.String getSalaryRange(){
        return this.salaryRange;
    }
    
    public void setSalaryRange(java.lang.String salaryRange){
        this.salaryRange = salaryRange;
    }
	/** job_requirements
    *任职资格
    */ 
    private java.lang.String jobRequirements;

    public java.lang.String getJobRequirements(){
        return this.jobRequirements;
    }
    
    public void setJobRequirements(java.lang.String jobRequirements){
        this.jobRequirements = jobRequirements;
    }
	/** job_duties
    *职位描述
    */ 
    private java.lang.String jobDuties;

    public java.lang.String getJobDuties(){
        return this.jobDuties;
    }
    
    public void setJobDuties(java.lang.String jobDuties){
        this.jobDuties = jobDuties;
    }
	/** essential
    *职位画像-必备项
    */ 
    private java.lang.String essential;

    public java.lang.String getEssential(){
        return this.essential;
    }
    
    public void setEssential(java.lang.String essential){
        this.essential = essential;
    }
	/** bonusPoints
    *职位画像-加分项
    */ 
    private java.lang.String bonusPoints;

    public java.lang.String getBonusPoints(){
        return this.bonusPoints;
    }
    
    public void setBonusPoints(java.lang.String bonusPoints){
        this.bonusPoints = bonusPoints;
    }
	/** exclusion
    *职位画像-排除项
    */ 
    private java.lang.String exclusion;

    public java.lang.String getExclusion(){
        return this.exclusion;
    }
    
    public void setExclusion(java.lang.String exclusion){
        this.exclusion = exclusion;
    }
	/** member_id
    *创建人ID
    */ 
    private java.lang.Long memberId;

    public java.lang.Long getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
    }
	/** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
}